org.apache.maven.profiles.activation

## Class AlwaysOnProfileActivator

- java.lang.Object
- - org.apache.maven.profiles.activation.AlwaysOnProfileActivator

- All Implemented Interfaces:
    ProfileActivator

      public class AlwaysOnProfileActivator
      extends java.lang.Object
      implements ProfileActivator

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.profiles.activation.ProfileActivator

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AlwaysOnProfileActivator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canDetermineActivation(Profile profile)`
    `boolean` | `isActive(Profile profile)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AlwaysOnProfileActivator

          public AlwaysOnProfileActivator()

  - ### Method Detail

    - #### canDetermineActivation

          public boolean canDetermineActivation(Profile profile)

      Specified by:
        `canDetermineActivation` in interface `ProfileActivator`

    - #### isActive

          public boolean isActive(Profile profile)

      Specified by:
        `isActive` in interface `ProfileActivator`